Subject: Re: bug#11075: 24.0.94; Arabic character composition

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Sep 2019 09:04:10 +0300

> Date: Mon, 23 Sep 2019 19:40:00 +0100
> From: Alan Third <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>, John Wiegley <[email-masked]>,
> 	Joost Kremers <[email-masked]>, [email-masked],
> 	Eli Zaretskii <[email-masked]>
> 
> On Mon, Sep 23, 2019 at 05:23:51AM +0900, [email-masked] wrote:
> >
> > > As I understand it Harfbuzz is not supported on the NS port at all. I
> > > know that Yamamoto Mitsuharu wrote a proof of concept, but I don’t
> > > believe it was ever finished.
> > 
> > It is for the mac-ct font backend, and doesn't work on GNUstep.
> 
> Ah, sorry, I must have misunderstood when we discussed it before.

What are the problems that prevent getting HarfBuzz to work in the
GNUstep port?  I think we want all the major supported platforms to be
able to build with HarfBuzz, since many modern features related to
sophisticated text shaping and display to be developed for Emacs will
be based on HarfBuzz facilities.